Subject: Re: bug#1289: 23.0.60; ridiculously large frame after maximizing and resizing back

From: Sven Joachim <[email-masked]>
Date: Sun, 02 Nov 2008 08:16:59 +0100

On 2008-11-02 03:22 +0100, Stefan Monnier wrote:

>> Starting Emacs with `emacs --geometry=85x46+35+35 &' gives huge values
>> for (frame-height) and (frame-width) after maximizing the frame and
>> resizing it back:
>
>> before maximizing: (frame-height) => 46, (frame-width) => 85
>> after maximizing: (frame-height) => 65, (frame-width) => 124
>> after unmaximizing: (frame-height) => 716, (frame-width) => 889
>
>> My window manager is IceWM 1.2.35.
>
> Sounds like the remembered size is the window's pixel size but it is
> then set (upon unmaximize) as a line&col size.
> It might be a bug in IceWM, or at least a bad interaction.  If you can
> reproduce it with some other program (e.g. xterm), then it's clearly an
> IceWM bug.

So far I have not been able to reproduce it with any other program,
including Emacs 22.3.  Also, if I do something with the Emacs frame
(change its size or drag it around) before maximizing and unmaximizing,
the problem does not show up.

Sven